using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace WindowsApplication4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();

            DataColumn col1 = new DataColumn();
            col1.ColumnName = "Display";
            col1.Caption = "Display";
            dt.Columns.Add(col1);

            DataColumn col2 = new DataColumn();
            col2.ColumnName = "Value";
            col2.Caption = "Value";
            dt.Columns.Add(col2);

            for (int i = 0; i < 100; i++)
            {
                DataRow row = dt.NewRow();
                row[0] = "John" + i.ToString();
                row[1] = i.ToString();
                dt.Rows.Add(row);
            }
           
            this.radComboBox1.DisplayMember = "Display";
            this.radComboBox1.ValueMember = "Value";
            this.radComboBox1.DataSource = dt;
        }

        private RadComboBoxItem FindByValue(RadComboBox radComboBox, object value)
        {
            foreach (RadComboBoxItem item in radComboBox.Items)
            {
                if (item.Value.Equals(value))
                {
                    return (RadComboBoxItem)item;
                }
            }

            return null;
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            this.radComboBox1.SelectedItem = FindByValue(this.radComboBox1, "5");
        }
    }
}